<?php
/***********************************************************************

  Copyright (C) 2002-2005  Rickard Andersson (rickard@punbb.org)

  This file is part of PunBB.

  PunBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  PunBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

************************************************************************/

// Enable DEBUG mode by removing // from the following line
//define('PUN_DEBUG', 1);

// This displays all executed queries in the page footer.
// DO NOT enable this in a production environment!
//define('PUN_SHOW_QUERIES', 1);

if (!defined('PUN_ROOT'))
	exit('The constant PUN_ROOT must be defined and point to a valid PunBB installation root directory.');


// Load the functions script
require PUN_ROOT.'include/functions.php';

// Reverse the effect of register_globals
unregister_globals();


$modmf_prefix='';
$scriptadres=$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'];
$songoslesurono=strrpos($scriptadres,'/');
$scriptsawoto=substr($scriptadres,0,$songoslesurono);
if(	$scriptsawoto=='kukmara.ru/forum'
	||$scriptsawoto=='sayt1.kukmara.ru'
	||$scriptsawoto=='sayt1.kukmara-rayon.ru'
	||$scriptsawoto=='sayt1.kukmara.ru/idare'
	||$scriptsawoto=='sayt1.kukmara-rayon.ru/idare'
	||$scriptsawoto=='forum.kukmara.ru'
	||$scriptsawoto=='forum.kukmara-rayon.ru'
	){
}elseif(isset($_ENV['REDIRECT_FORUM_LOCATION'])){
	$modmf_prefix=$_ENV['REDIRECT_FORUM_LOCATION'].'_';
	$modmfc_prefix='rw/maktaplar_';
}elseif($scriptsawoto=='poctaforum.tmf.org.ru'){
	$butpoctatmforgru=true;
	$modmf_prefix='tmfpocta_';
	$modmfc_prefix='rw/misc/tmfpocta_';
	$modmft_prefix=$modmf_prefix;
	$modmf_prefix='rw/misc/'.$modmf_prefix;
}else{
	/*echo($scriptsawoto);
	echo('<br>');
	echo($_ENV['REDIRECT_FORUM_LOCATION']);
	exit();*/
	//$modmf_prefix=$_ENV['REDIRECT_FORUM_LOCATION'].'_';
	$domennar=explode('.',$scriptsawoto);
	if(count($domennar)==4&&$domennar[1]=='tmf'&&$domennar[2]=='org'&&$domennar[3]=='ru'){
		$butmforgru=true;
		$modmf_prefix=$domennar[0].'_';
		$modmfc_prefix='rw/forumnar_';
		$modmft_prefix=str_replace('-','szq',$modmf_prefix);
		$modmf_prefix='rw/tmf/'.$modmf_prefix;
	}elseif(count($domennar)==4&&$domennar[1]=='forum'&&$domennar[2]=='kukmara'&&$domennar[3]=='ru'){
		$buforumkukmararu=true;
		$modmf_prefix=$domennar[0].'_';
		$modmfc_prefix='rw/frmkkmra_';
		$modmft_prefix=str_replace('-','szq',$modmf_prefix);
		$modmf_prefix='rw/frumkukmra/'.$modmf_prefix;
	}else{
		exit();
	}
}

if($modmf_prefix!=''){
	//$modmfc_prefix='rw/'.$modmfc_prefix;//config file 
}
@include PUN_ROOT.$modmfc_prefix.'config.php';

// If PUN isn't defined, config.php is missing or corrupt
if (!defined('PUN'))
	exit('The file \''.$modmfc_prefix.'config.php\' doesn\'t exist or is corrupt. Please run <a href="install'.(isset($_ENV['REDIRECT_FORUM_LOCATION'])?'3':'').'.php">install.php</a> to install PunBB first.');

if(isset($_ENV['REDIRECT_FORUM_LOCATION'])){
	$db_prefix = $modmft_prefix;
	$cookie_name = $modmft_prefix.'punbb_cookie';
	//$cookie_domain = '.kukmara.ru';
	if(preg_match('/charlo|kukmor-2|kukmor-3|kukmor-4|lelvij|lubeany|nijneaya_rus|nirya|oshtorma-yumya|pochinok-kuchuk|pochinok-suter|sredniy_kumor/',$_ENV['REDIRECT_FORUM_LOCATION'])==0){
		$cookie_path = '/maktap/';
	}else{
		$cookie_path = '/shkola/';
	}
	$cookie_path.=($_ENV['REDIRECT_FORUM_LOCATION'].'/forum/');
}elseif($butmforgru==true||$buforumkukmararu==true){
	$db_prefix = $modmft_prefix;
	$cookie_name = $modmft_prefix.'punbb_cookie';
	$cookie_domain = $scriptsawoto;
	$cookie_path = '/';
}elseif($bupoctatmforgru){
	$db_prefix = $modmft_prefix;
}
// Record the start time (will be used to calculate the generation time for the page)
list($usec, $sec) = explode(' ', microtime());
$pun_start = ((float)$usec + (float)$sec);

// Make sure PHP reports all errors except E_NOTICE. PunBB supports E_ALL, but a lot of scripts it may interact with, do not.
error_reporting(E_ALL ^ E_NOTICE);

// Turn off magic_quotes_runtime
set_magic_quotes_runtime(0);

// Strip slashes from GET/POST/COOKIE (if magic_quotes_gpc is enabled)
if (get_magic_quotes_gpc())
{
	function stripslashes_array($array)
	{
		return is_array($array) ? array_map('stripslashes_array', $array) : stripslashes($array);
	}

	$_GET = stripslashes_array($_GET);
	$_POST = stripslashes_array($_POST);
	$_COOKIE = stripslashes_array($_COOKIE);
}

// Seed the random number generator
//mt_srand((double)microtime()*1000000);
//1221
// Seed the random number generator (PHP <4.2.0 only)
if (version_compare(PHP_VERSION, '4.2.0', '<'))
mt_srand((double)microtime()*1000000);


// If a cookie name is not specified in config.php, we use the default (punbb_cookie)
if (empty($cookie_name))
	$cookie_name = 'punbb_cookie';

// Define a few commonly used constants
define('PUN_UNVERIFIED', 32000);
define('PUN_ADMIN', 1);
define('PUN_MOD', 2);
define('PUN_GUEST', 3);
define('PUN_MEMBER', 4);


// Load DB abstraction layer and connect
require PUN_ROOT.'include/dblayer/common_db.php';

// Start a transaction
$db->start_transaction();

// Load cached config
@include PUN_ROOT.$modmf_prefix.'cache/cache_config.php';
if (!defined('PUN_CONFIG_LOADED'))
{
	require PUN_ROOT.'include/cache.php';
	generate_config_cache();
	require PUN_ROOT.$modmf_prefix.'cache/cache_config.php';
}
//mod guest language list begin
$languages=split(',',$pun_config['o_guest_languages']);
$langorder=array();
foreach($languages as $key => $value){
	$langorder[$value]=$key;
}
//mod guest language list end


// Enable output buffering
if (!defined('PUN_DISABLE_BUFFERING'))
{
	// For some very odd reason, "Norton Internet Security" unsets this
	$_SERVER['HTTP_ACCEPT_ENCODING'] = isset($_SERVER['HTTP_ACCEPT_ENCODING']) ? $_SERVER['HTTP_ACCEPT_ENCODING'] : '';

	// Should we use gzip output compression?
	if ($pun_config['o_gzip'] && extension_loaded('zlib') && (strpos($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip') !== false || strpos($_SERVER['HTTP_ACCEPT_ENCODING'], 'deflate') !== false))
		ob_start('ob_gzhandler');
	else
		ob_start();
}


// Check/update/set cookie and fetch user info
$pun_user = array();
check_cookie($pun_user);

// Attempt to load the common language file
@include PUN_ROOT.'lang/'.$pun_user['language'].'/common.php';
if (!isset($lang_common))
	exit('There is no valid language pack \''.pun_htmlspecialchars($pun_user['language']).'\' installed. Please reinstall a language of that name.');

// EXTENDED UTF SUPPORT BEGIN
/************************************************************************

Modified by hcs (hcs@mail.ru) http://punbb.ru

Added UTF-8 support, Russian language & more mods.

UTF-support with help artoodetoo, http://punbb.ru

2006 - 2007

************************************************************************/
if ((isset($lang_common['lang_multibyte']) && $lang_common['lang_multibyte']))
{
	if (! function_exists('mb_internal_encoding')) 
		exit ('For work with utf-8 encoding needed MBSTRING extension!');
	mb_internal_encoding('UTF-8');
	function my_strlen($s)		{return mb_strlen($s);}
	function pun_strtolower($s)	{return mb_strtolower($s);}
	function pun_strtoupper($s)	{return mb_strtoupper($s);}
	mb_internal_encoding('UTF-8');
}
else
{
	function my_strlen($s)		{return strlen($s);}
	function pun_strtolower($s)	{return strtolower($s);}
	function pun_strtoupper($s)	{return strtoupper($s);}
}	
// EXTENDED UTF SUPPORT END

// Check if we are to display a maintenance message
if ($pun_config['o_maintenance'] && $pun_user['g_id'] > PUN_ADMIN && !defined('PUN_TURN_OFF_MAINT'))
	maintenance_message();


// Load cached bans
@include PUN_ROOT.$modmf_prefix.'cache/cache_bans.php';
if (!defined('PUN_BANS_LOADED'))
{
	require_once PUN_ROOT.'include/cache.php';
	generate_bans_cache();
	require PUN_ROOT.$modmf_prefix.'cache/cache_bans.php';
}

// Check if current user is banned
check_bans();


// Update online list
update_users_online();


