<?php


// Determine what locale to use
switch (PHP_OS)
{
	case 'WINNT':
	case 'WIN32':
		$locale = 'mari';
		break;

	case 'FreeBSD':
	case 'NetBSD':
	case 'OpenBSD':
		$locale = 'chm_RU.utf-8';
		break;

	default:
		$locale = 'chm_RU';
		break;
}

// Attempt to set the locale
setlocale(LC_CTYPE, $locale);
setlocale(LC_TIME, $locale);

// FIX UTF REGULAR EXPRESSIONS BUG BEGIN
define('ALPHANUM', '[:punct:]а-яА-ЯёЁÿӰöӦҥҤ\w'); //[:alnum:]
// FIX UTF REGULAR EXPRESSIONS BUG END


// Language definitions for frequently used strings
$lang_common = array(

// Text orientation and encoding
'lang_direction'		=>	'ltr',	// ltr (Left-To-Right) or rtl (Right-To-Left)
'lang_encoding'			=>	'utf-8',
//'mail_encoding'			=>	'koi8-r',
'mail_encoding'			=>	'utf-8',
'lang_multibyte'		=>	true,

//Edd
// Notices
'Bad request'            =>    'Чыногыл йодмаш. Линк, кудо дене те тышке толында чыногыл але тоштемын.',
'No view'                =>    'Тендан йöнда уке тиде форумым ончаш.',
'No permission'            =>    'Тиде лаштыкыш пураш тендан йöнда уке.',
'Bad referrer'            =>    'Чыногыл важ. Те тиде лаштыкыш санкционироватлыдыме важ гоч логалында. Поро лийза, пöртылза да эше икгана пурен ончалза. Проблеме кодын гын, поро лийза, тергыза \'Ончыл URL\' Администрированийыш чын шындыме/Койышвлак да, Те форумыш тиде URL гоч логалыда.',
//Михаил:
// Notices
//'Bad request'            =>    'Йоҥылыш йодмаш. Ссылка, кудо дене толында тошто але йоҥылыш.',
//'No view'                =>    'Тый тиде форум-влакым ончен от керт.',
//'No permission'            =>    'Тый тиде лаштыкым ончен от керт.',
//'Bad referrer'            =>    'Йоҥылыш пале. Тый тиде лаштыкышке йоҥылыш пале йӧн дене логалынат. Мӧҥгеш пӧртыл да угыч тӧчен ончо. Йоҥылыш кодеш гын, тӱткын ончал \'тӱҥалтыш URL\'  Администрирование/Свойства лаштыкыште чын возымо? Да тугак тиде форумыш саде URL йӧн дене вончет.',

//Edd
// Topic/forum indicators
'New icon'                =>    'У серышвлак улыт',
'Normal icon'            =>    '<!-- -->',
'Closed icon'            =>    'Тиде темым тÿчмö',
'Redirect icon'            =>    'Форумым кусарыме',
//Михаил:
// Topic/forum indicators
//'New icon'                =>    'У серыш уло',
//'Normal icon'            =>    '<!-- -->',
//'Closed icon'            =>    'Тиде темым петырыме',
//'Redirect icon'            =>    'Форумым вес верек кусарыме',

//Михаил:
// Miscellaneous
'Announcement'            =>    'Увертарымаш',
'Options'                =>    'Пале-влак',
'Actions'                =>    'Ыштымаш',
'Submit'                =>    'Колташ',    // "name" of submit buttons
'Ban message'            =>    'Тиде форумышто тый шем лӱмерыште улат (чактарыме).',
'Ban message 2'            =>    'Тыйын чактарыме жапет эрта',
'Ban message 3'            =>    'Тыйым чактарыше Ончышо але модератор тыланет нине серышым коден:',
'Ban message 4'            =>    'Иктаж-могай йодышда уло гын, Ончышо деч йодын кертыда',
'Never'                    =>    'Нигунам',
'Today'                    =>    'Таче',
'Yesterday'                =>    'Теҥгече',
'Info'                    =>    'Тыланет палаш',        // a common table header
'Go back'                =>    'Мӧҥгеш пӧртылаш',
'Maintenance'            =>    'Сервис',
'Redirecting'            =>    'Вес вере куснымаш',
'Click redirect'        =>    'Вучымет ок шу гын, тышке темдал (тугак тендан браузерда шке огеш колто гын)',
'on'                    =>    'чӱктымӧ',        // as in "BBCode is on"
'off'                    =>    'йӧрыктымӧ',
'Invalid e-mail'        =>    'E-mail, кудым тый возенат - йоҥылыш',
'required field'        =>    'Тиде палыш иктажмом да возышаш улыда.',    // for javascript form validation
'Last post'                =>    'Пытартыш серыш',
'by'                    =>    ' - ',    // as in last post by someuser
'New posts'                =>    'У&nbsp;серыш-влак',    // the link that leads to the first new post (use &nbsp; for spaces)
'New posts info'        =>    'Тиде ужашыште икымше серыш дек вончаш.',    // the popup text for new posts links

//Edd
'Username'                =>    'Лÿм',
'Password'                =>    'Шолыпмут',
'E-mail'                =>    'E-mail',
'Send e-mail'            =>    'e-mail-ым колташ ',
'Moderated by'            =>    'Модераторвлак:',
'Registered'            =>    'Регистрироватлыме',
'Subject'                =>    'Вуймут',
'Message'                =>    'Серыш',
'Topic'                    =>    'Теме',
'Forum'                    =>    'Форум',
'Posts'                    =>    'Серышвлак',
'Replies'                =>    'Вашмутвлак',
'Author'                =>    'Автор',
'Pages'                    =>    'Ластыквлак',
'BBCode'                =>    'BBCode',    // You probably shouldn't change this
'img tag'                =>    '[ img] тег',
'Smilies'                =>    'Смайликвлак',
'and'                    =>    'да',
'Image link'            =>    'сÿрет',    // This is displayed (i.e. <image>) instead of images when "Show images" is disabled in the profile
'wrote'                    =>    'возен',    // For [ quote]'s
'Code'                    =>    'Код',        // For [ code]'s
'Mailer'                =>    'Почта робот',    // As in "MyForums Mailer" in the signature of outgoing e-mails
'Important information'    =>    'Кÿлешан информаций',
'Write message legend'    =>    'Серышдам возыза да колташ темдалза',
'Forum View'                    =>    'Форумвлак спискыш кусараш',
'Topic View'                    =>    'Темевлак спискыш кусараш',

//Михаил:
// Title
'Title'                    =>    'Статус',
'Member'                =>    'Пайдаланыше',    // Default title
'Moderator'                =>    'Модератор',
'Administrator'            =>    'Ончышо',
'Banned'                =>    'Чактарыме',
'Guest'                    =>    'Уна',

//Михаил:
// Stuff for include/parser.php
'BBCode error'            =>    'BBCode тегын.',
'BBCode error 1'        =>    '[/quote] лан почмо тег уке.',
'BBCode error 2'        =>    '[code] лан петырше тег уке.',
'BBCode error 3'        =>    '[/code] лан почмо тег уке.',
'BBCode error 4'        =>    '[quote] лан икте але шукырак петырше тег уке.',
'BBCode error 5'        =>    '[/quote] лан икте але шукырак петырше тег уке.',

//Михаил:
// Stuff for the navigator (top of every page)
'Index'                    =>    'Форум-влак',
'All topics'                    =>    'Чыла темевлак',//Edd
'User list'                =>    'Пайдаланыше-влак',
'Rules'                    =>  'Правила',
'Search'                =>  'Кычалмаш',
'Register'                =>  'Регистрацийым эрташ',
'Login'                    =>  'Пураш',
'Not logged in'            =>  'Те пурен огыдал.',
'Profile'                =>    'Профиль',
'Logout'                =>    'Лекташ',
'Logged in as'            =>    'Пурымо лӱмда',
'Admin'                    =>    'Администрирование',
'Last visit'            =>    'Тыйын пытартыш пурымо жапет',
'Show new posts'        =>    'Пытартыш пурмо деч вара, у улшо серыш-влакым ончыкташ',
'Mark all as read'        =>    'Чыла форумым лудмо семын ойыраш',
'Link separator'        =>    '',    // The text that separates links in the navigator
//uploadimg
//'Upload image'            =>    'Сӱретым пурташ',
'Upload image'		    =>	'Изображение для форума',

//Михаил:
// Stuff for the page footer
'Board footer'            =>    'Board footer',
'Search links'            =>    'Search links',
'Show recent posts'        =>    'Пытартыш серыш-влакым ончыкташ',
'Show unanswered posts'    =>    'Вашмут деч посна улшо серыш-влакым ончыкташ',
'Show your posts'        =>    'Тыйын серыш-влакым ончыкташ',
'Show subscriptions'    =>    'Тыйын эскерыме серыш-влакым ончыкташ',
'Jump to'                =>    'Вончаш',
'Go'                    =>    ' Вончаш ',        // submit button in forum jump
'Move topic'            =>  'Темым кусараш',
'Open topic'            =>  'Темым почаш',
'Close topic'            =>  'Темым петыраш',
'Unstick topic'            =>  'Ойырмашым кораҥдаш',
'Stick topic'            =>  'Темым ойыраш',
'Moderate forum'        =>    'Модерировать форум',
'Delete posts'            =>    'Серыш-влакым ӱшташ',
'Debug table'            =>    'Тӧрлымӧ палымаш',

// For extern.php RSS feed
'RSS Desc Active'		=>	'Последние активные разговоры этого форума: ',	// board_title will be appended to this string
'RSS Desc New'			=>	'Последние разговоры этого форума: ',					// board_title will be appended to this string
'Posted'				=>	'Начат',	// The date/time a topic was started

'Powered by'=>'Действует с <a href="http://www.punbb.org/">PunBB</a>'.($pun_config['o_show_version'] == '1'?$pun_config['o_cur_version']:''),
'Copyright'=>'Автор:',
'Forum service'=>'Работает на <a href="http://forumservis.tmf.org.ru/?l=mari">бесплатном сервисе форумов tmf.org.ru</a>',

);
