<?php

// Determine what locale to use
switch (PHP_OS)
{
	case 'WINNT':
	case 'WIN32':
		$locale = 'udmurt';
		break;

	case 'FreeBSD':
	case 'NetBSD':
	case 'OpenBSD':
		$locale = 'udm_RU.utf-8';
		break;

	default:
		$locale = 'udm_RU';
		break;
}

// Attempt to set the locale
setlocale(LC_CTYPE, $locale);
setlocale(LC_TIME, $locale);

// FIX UTF REGULAR EXPRESSIONS BUG BEGIN
define('ALPHANUM', '[:punct:]а-яА-ЯёЁӝӜӧӦӵӴӥӤӟӞ\w'); //[:alnum:]
// FIX UTF REGULAR EXPRESSIONS BUG END


// Language definitions for frequently used strings
$lang_common = array(

//Денис
// Text orientation and encoding
'lang_direction'		=>	'ltr',	// ltr (Left-To-Right) or rtl (Right-To-Left)
'lang_encoding'			=>	'utf-8',
//'mail_encoding'			=>	'koi8-r',
'mail_encoding'			=>	'utf-8',
'lang_multibyte'		=>	true,

// Notices
/*'Bad request'			=>	'Неверный запрос. Ссылка, по которой вы пришли неверная или устаревшая.',
'No view'				=>	'Вы не имеете прав для просмотра этих форумов.',
'No permission'			=>	'Вы не имеете прав для доступа к этой странице.',
'Bad referrer'			=>	'Неверный источник. Вы попали на эту страницу из несанкционированного источника. Пожалуйста, вернитесь и попробуйте еще раз. Если проблема осталась, пожалуйста, убедитесь что \'Начальный URL\' правильно установлен в Администрирование/Свойства и, что, Вы попадаете на форум через этот URL.',
*/
// Notices
//kazakovsky
'Bad request'            =>    'Янгыш. Линк, кудӥзъя лыктӥды янгыш яке вужмемын',
'No view'                =>    'Та форумъёсыз учкыны тӥляд луонлыкты ӧвӧл',
'No permission'            =>    'Тӥ уд быгатӥське та баме пырыны',
'Bad referrer'            =>    'Тӥ сюриды та баме янгыш источникысь. Берытске но выльысь пырыса утчалэ. Янгыш кылдӥз на ке, эскерелэ, шонер-а пуктэмын \'Кутскон URL\' Кивалтон бам/Опциос -ын.',

//Денис
/*
'Bad request' => 'Янгыш курон. Ссылка, кудӥзъя Тӥ вуиды янгыш яке вужмемын.',
'No view' => 'Та форумъёсыз учкыны Тӥляд луонлыкты о:в:л.',
'No permission' => 'Та баме пырыны Тӥляд луонлыкты ӧвӧл.',
'Bad referrer' => 'Янгыш источник. Тӥ сюриды та баме янгыш источникысь. Берытске но выльысь пырыса утчалэ. Янгыш кылдӥз на ке, эскерелэ, шонер-а пуктэмын \'Кутскон URL\' Администрирование/Свойстваын.',
*/
//kazakofsky:
// Topic/forum indicators
'New icon'                =>    'Вань выль гожтэмъёс',
'Normal icon'            =>    '<!-- -->',
'Closed icon'            =>    'Та тема ворсамын',
'Redirect icon'            =>    'Форум интыеныз воштэмын',
//Денис
/*
'New icon' => 'Вань выль гожтэтъёс',
'Normal icon' => '<!-- -->',
'Closed icon' => 'Та тема пытсамын',
'Redirect icon' => 'Форум выжтэмын',
*/
// Miscellaneous
//Денис
'Announcement' => 'Ялон',
'Options' => 'Аспӧртэмлыкъёс/свойствоос',
'Actions' => 'Вамыш/Действие',
'Submit' => 'Келян', // "name" of submit buttons
'Ban message' => 'Та форумын Тӥ сьӧд списокын (бан-списокын).',//edited by kazakofsky: забанить карем -> бан-список 
'Ban message 2' => 'Ӝоген сьӧд списокысь потоды',//edited by kazakofsky
'Ban message 3' => 'Тӥледыз сьӧд списоке келясь администратор яке модератор кельтӥз таӵе ивортон:',//edited by kazakofsky
'Ban message 4' => 'Тӥляд кыӵе ке но юанъёсты вань ке, быгатӥськоды администраторлы вазиськыны',
'Never' => 'Ноку но',
'Today' => 'Туннэ',
'Yesterday' => 'Толон',
'Info' => 'Ивортодэт/информация', // a common table header
'Go back' => 'Берытскон',
'Maintenance' => 'Сервис',
'Redirecting' => 'Переадресация/Мукет адресэ келян',
'Click redirect' => 'Зӥбелэ татчы, возьмамды уг ке поты ини (яке браузер Тӥледыз автоматэн уг ке келя)',
'on' => 'лэземын', // as in "BBCode is on"
'off' => 'кысэмын',
'Invalid e-mail' => 'E-mail адрес, кудзэ Тӥ гожтӥды - янгыш',
'required field' => 'та чур одно ик тырмытэмын луын кулэ та формаын.', //edited by kazakofsky// for javascript form validation
'Last post' => 'Берпум гожтэт',
'by' => ' - ', // as in last post by someuser
'New posts' => 'Выль гожтэтъёс', // the link that leads to the first new post (use &nbsp; for spaces)
'New posts info' => 'Та топикын нырысетӥ выль гожтэт вылэ выжон.', // the popup text for new posts links

//Денис
'Username' => 'Ним',
'Password' => 'Пароль',
'E-mail' => 'E-mail',
'Send e-mail' => 'E-mail лэзён',
'Moderated by' => 'Модераторёс:',
'Registered' => 'Зарегистрировать каремын',
'Subject' => 'Йыръян',
'Message' => 'Гожтэт',
'Topic' => 'Тема',
'Forum' => 'кенешон/форум',
'Posts' => 'Гожтэтъёс',
'Replies' => 'Ответъёс',
'Author' => 'Автор',
'Pages' => 'Бамъёс',
'BBCode' => 'BBCode', // You probably shouldn't change this
'img tag' => '[ img] тег',
'Smilies' => 'Мыньпотонъёс/смайликъёс',
'and' => 'но',
'Image link' => 'суред', // This is displayed (i.e. <image>) instead of images when "Show images" is disabled in the profile
'wrote' => 'гожтӥз', // For [ quote]'s
'Code' => 'Код', // For [ code]'s
'Mailer' => 'Почта робот', // As in "MyForums Mailer" in the signature of outgoing e-mails
'Important information' => 'Кулэ луись ивортодэт/информация',
'Write message legend' => 'Гожтэттэс гожтэлэ но зӥбе келянэ',
'Forum View' => 'Форумъёсын список вылэ выжон',
'Topic View' => 'Темаосын список вылэ выжон',
'All Topics' => 'Вань темаос',

// Title
//Денис
'Title' => 'Инлык/статус',
'Member' => 'Пыриськись/участник', // Default title
'Moderator' => 'Модератор',
'Administrator' => 'Администратор',
'Banned' => 'Бан-списокын',//edited by kazakofsky
'Guest' => 'Куно',

// Stuff for include/parser.php
'BBCode error' => 'BBCode тегъёслэн синтаксиссы гожтэтын янгыш.',
'BBCode error 1' => 'ӧвӧл кутскон тег [/quote].',
'BBCode error 2' => 'ӧвӧл берпум тег [code].',
'BBCode error 3' => 'ӧвӧл кутскон тег [/code].',
'BBCode error 4' => 'ӧвӧл одӥг яке тросгес берпум тегъёс [quote].',
'BBCode error 5' => 'ӧвӧл одӥг яке тросгес кутскон тегъёс [/quote].',

// Stuff for the navigator (top of every page)
'Index' => 'Кенешонъёс/форумъёс',
'All topics'                    =>    'Ваньмыз темаос',//kazakofsky
'User list' => 'Пыриськисьёс',//kazakofsky
'Rules' => 'Катъёс',
'Search' => 'Утчаськон',//edited by kazakofsky
'Register' => 'Регистрация',
'Login' => 'Пырыны',
'Not logged in' => 'Тӥ ӧд пыре.',
'Profile' => 'Профиль',
'Logout' => 'Потыны',
'Logged in as' => 'Тӥ пыриды',
'Admin' => 'Администрирование',
'Last visit' => 'Тӥ бермуметӥзэ татын вал',//edited by kazakofsky
'Show new posts' => 'Возьматыны выль гожтэтъёсты, берпуметӥзэ пырем бере вуэмъёссэ',
'Mark all as read' => 'Вань форумъёсты лыдӟемын шуыса пусъёно',
'Link separator' => '', // The text that separates links in the navigator
//uploadimg
//'Upload image'		    =>	'Загрузить изображение',
'Upload image'		    =>	'Изображение для форума',

// Stuff for the page footer
'Board footer' => 'Board footer',
'Search links' => 'Search links',
'Show recent posts' => 'Возьматоно берпум гожтэтъёсты',
'Show unanswered posts' => 'Возматоно гожтэтъёсты, кудъёсызлэн ӧвӧл ответъёссы',
'Show your posts' => 'Возматоно Тӥлесьтыд гожтэдъёстэс',
'Show subscriptions' => 'Возьматоно гожтэтъёсты, кудъёсызлы тӥ гожтӥськемын',
'Jump to' => 'Выжоно',
'Go' => ' выжоно ', // submit button in forum jump
'Move topic' => 'Темаез выжтоно',
'Open topic' => 'Тема усьтон',
'Close topic' => 'Темаез ворсан',
'Unstick topic' => 'Висъямез/выделениез куштон',
'Stick topic' => 'Темаез висъян',
'Moderate forum' => 'Кенешонэз/форумез модерировать карон',
'Delete posts' => 'Гожтэтъёсыз ӵушылон',//edited by kazakofsky:added /удалить карон
'Debug table' => 'Отладочная информация',


// For extern.php RSS feed
'RSS Desc Active' => 'The most recently active topics at', // board_title will be appended to this string
'RSS Desc New' => 'The newest topics at', // board_title will be appended to this string
'Posted' => 'Posted' // The date/time a topic was started

);
