<?php

// Language definitions used in register.php
$lang_register = array(

// Miscellaneous
'No new regs'				=>	'В данный момент форум не регистрирует новых пользователей.',
'Reg cancel redirect'		=>	'Регистрация отменена. Переадресация...',
'Forum rules'				=>	'Правила форума',
'Rules legend'				=>	'Вы должны принять следующие правила для регистрации',
'Agree'						=>	'Согласен',
'Cancel'					=>	'Не согласен',
'Register'					=>	'Регистрация',

// Form validation stuff (some of these are also used in post.php)
'Username censor'			=>	'Введенное Вами имя пользователя содержит запрещенные слова. Пожалуйста, выберете другое имя.',
'Username dupe 1'			=>	'Кто-то уже зарегистрировался под этим именем',
'Username dupe 2'			=>	'Введенное Вами имя пользователя очень похоже на существующее. Имена должны отличаться, по крайней мере, на один символ (a-z или 0-9). Пожалуйста, вернитесь и попробуйте другое имя.',
'E-mail not match'			=>	'E-mail адреса не совпадают. Пожалуйста, вернитесь и исправьте.',

// Registration e-mail stuff
'Reg e-mail'				=>	'Спасибо за регистрацию. Ваш пароль был отправлен по указанному при регистрации адресу. Если он не пришел, вы можете обратиться к администратору',
'Reg complete'				=>	'Регистрация завершена. Вы зашли на форум. Переадресация...',

//Image Verification stuff
'Image verification'			=>	'Защита от автоматической регистрации',
'Image text'				=>	'Текст на картинке',
'Image info'				=>	'Введите текст, который Вы видите на картинке. Это необходимо для защиты от регистрации роботов, извините за неудобство.',
'Text mismatch'				=>	'Введённый Вами текст неправильный. Поменяйте рисунок и попробуйте снова.',
'Reload Image'				=>	'Поменять рисунок',

// Register info
'Desc 1'					=>	'Регистрация не обязательна, но она предоставит вам доступ к дополнительным возможностям. Например, появится возможность редактировать и удалять свои сообщения, добавлять собственную подпись ко всем сообщениям, подписаться на уведомления о новых сообщениях на форуме. Если у вас есть какие-нибудь вопросы относительно этого форума, вы можете обратиться к администратору.<br />"Можно взять отдельный электронный почтовый ящик специально для регистраций на форумах и сайтах. Адрес электронной почты используется для восстановления возможности авторизироваться при случае утери пароля, для получения сообщений о теме форума, который вы хотите, и для отправки личных сообщений. В этом форуме можно писать и без регистрации. Регистрация нужна для того, чтобы другой человек не писал от Вашего имени. Хотя и можно писать без регистрации, к сожалению, этот форумный скрипт не дает возможности исправить написанное так (например, если там осталась ошибка)."',
'Desc 2'					=>	'Ниже приведена форма, которую Вы должны заполнить для того, чтобы зарегистрироваться. После регистрации, Вы должны посетить свой профиль и просмотреть введенную информацию, которую Вы сможете отредактировать в случае необходимости. Поля, заполняемые ниже - это только небольшая часть всех возможностей, которые Вы сможете изменять в своем профиле.',
'Username legend'			=>	'Введите имя пользователя длиной от 2 до 25 символов',
'Pass legend 1'				=>	'Введите и подтвердите свой пароль',
'Pass legend 2'				=>	'Пожалуйста, прочитайте инструкцию ниже',
'Pass info'					=>	'Пароль должен быть не менее 4 и не более 16 символов в длину. Пароль чувствителен к регистру символов.',
'E-mail info'				=>	'Вы должны указать правильный e-mail адрес, так как случайно сгенерированный пароль будет выслан на этот адрес.',
'Confirm e-mail'			=>	'Подтвердите e-mail адрес',


//antispam question
'Incorrect answer'=>'Вы неправильно ответили на вопрос против спамеров',
'Antispam answer'=>'Вопрос против спамеров',


);
