<?php

// Language definitions used in profile.php
$lang_profile = array(

// Navigation and sections
'Profile menu'                =>    'Профиль',
'Section essentials'        =>    'Төп көйләнешләр',
'Section personal'            =>    'Шәхси мәгълүмат',
'Section messaging'            =>    'Аралашу',
'Section personality'        =>    'Аватар белән астъязма',
'Section display'            =>    'Күренеш',
'Section privacy'            =>    'Шәхси саклык',
'Section admin'                =>    'Идарә итү',

// Miscellaneous
'Username and pass legend'    =>    'Исем һәм сер сүз',
'Personal details legend'    =>    'Сезнең турыда шәхси мәгълүмат',
'Contact details legend'    =>    'Аралашу өчен мәгълүматны кертегез',
'Options display'            =>    'Күрсәтелеш буенча мәгълүмат кертегез',
'Options post'                =>    'Хәбәрләрне карау буенча көйләнешләрне кертегез',
'User activity'                =>    'Кулланучы активлыгы',
'Paginate info'                =>    'Бер биттә ничә сөйләшү, ничә хәбәр чыгарылсын.',

// Password stuff
'Pass key bad'                =>    'Бу сер сүзне активлаштыру ачкычы дөрес түгел йә вакыты чыккан. Тагы бер тапкыр яңа сер сүз сорагызчы. Булып чыкмаса, форум администраторына мөрәҗәгать итегез',
'Pass updated'                =>    'Сер сүзегез үзгәртелде. Яңа сер сүзне кулланып керсәгез була.',
'Pass updated redirect'        =>    'Сер сүз үзгәртелде. Күчеререләсең...',
'Wrong pass'                =>    'Иске сер сүзне дөрес кертмәдең.',
'Change pass'                =>    'Сер сүз үзгәртү',
'Change pass legend'        =>    'Яңа сер сүзне кертеп, ышаныч өчен тагы бер кат йазыгыз',
'Old pass'                    =>    'Иске сер сүз',
'New pass'                    =>    'Яңа сер сүз',
'Confirm new pass'            =>    'Яңа сер сүзне ышаныч өчен тагы бер язу',

// E-mail stuff
'E-mail key bad'            =>    'Бу e-mail адресны активлаштыру ачкычы дөрес түгел йә вакыты үткән. E-mail адресын үзгәртүне сорап тагы бер тапкыр мөрәҗәгать итегезче. Барып чыкмаса форум администраторына мөрәҗәгать итегез.',
'E-mail updated'            =>    'E-mail адресыгыз үзгәртелде.',
'Activate e-mail sent'        =>    'Күрсәтелгән адреска яңа e-mail адресны ничек активлаштырасыны аңлатулы хат җибәрелде. Бер-бер нәрсә барып чыкмаса, админитраторга мөрәҗәгать итегез',
'E-mail legend'                =>    'Яңа e-mail адресыгызны кертегез',
'E-mail instructions'        =>    'Бу үзгәртүгә ныклы ризалык бирү өчен күчкеле хат җибәреләчәк яңа e-mail адресын кертегез. E-mail адресын үзгәртүгә ризалык белгертер өчен шул хат белән килгән күчке буенча күчәсе булыр.',
'Change e-mail'                =>    'E-mail адресын үзгәртү',
'New e-mail'                =>    'Яңа e-mail',

// Avatar upload stuff
'Avatars disabled'            =>    'Аватар куллануны администратор сүндергән.',
'Too large ini'                =>    'Күрсәтелгән файл монда килдерер өчен артык зур.',
'Partial upload'            =>    'Күрсәтелгән файл тулысынча күчерелмәде. Тагы бер тапкыр җибәреп карагызчы.',
'No tmp directory'            =>    'PHP җибәрелгән файлны вакытлы савытта саклата алмады.',
'No file'                    =>    'Җибәрер өчен файл сайламадыгыз.',
'Bad type'                    =>    'Сез сайлаган файл рөхсәт ителмәгән төрле. Рөхсәт ителгәне - gif, jpeg һәм png.',
'Too wide or high'            =>    'Сез җибәрә торган файлның иңе йә буе рөхсәт ителгән иң зур иң-буйдан зуррак(озынрак, киңрәк)',
'Too large'                    =>    'Сез җибәрә торган файл рөхсәт ителгән иң зур үлчәмледән зуррак үлчәмле.',
'pixels'                    =>    'пиксель',
'bytes'                        =>    'байт',
'Move failed'                =>    'Серверга җибәрелгән файлны саклатып булмады. Администраторга мөрәҗәгать итегезче',
'Unknown failure'            =>    'Билгесез хата. Тагы бер тапкыр эшләп карагызчы.',
'Avatar upload redirect'    =>    'Аватар кертелде. Күчереләсең...',
'Avatar deleted redirect'    =>    'Аватар бетерелде. Күчереләсең...',
'Avatar desc'                =>    'Аватар ул - форум хәбәрләрендә сезнең исемегез астында күрсәтеләчәк бер кечкенә рәсем. Ул бу үлчәмнән зуррак була алмай:',
'Upload avatar'                =>    'Аватар куйу',
'Upload avatar legend'        =>    'Җибәрер өчен аватар файлын күрсәт.',
'Delete avatar'                =>    'Ул аватарны беттер',    // only for admins
'File'                        =>    'Файл',
'Upload'                    =>    'Җибәрү',    // submit button

// Form validation stuff
'Dupe username'                =>    'Бу исем белән бер кулланучы теркәлгән инде. Зинһар, артка чигенегез дә, бүтән исем сайлап карагыз.',
'Forbidden title'            =>    'Сез керткән атама эчендә тыйылган сүз бөртеге бар. Сез бүтән төрлерәк атама сайлап алырга тиеш.',
'Profile redirect'            =>    'Профилегез яңартылды. Күчереләсез...',

// Profile display stuff
'Not activated'                =>    'Бу кулланучы үзенең исәп йазмасын активлаштырмаган. Исәп язмасы форумга беренче тапкыр теркәлеп кергәндә активлаштырыла..',
'Unknown'                    =>    '(Билгеле түгел)',    // This is displayed when a user hasn't filled out profile field (e.g. Location)
'Private'                    =>    '(Яшерелгән)',    // This is displayed when a user does not want to receive e-mails
'No avatar'                    =>    '(Аватары юк)',
'Show posts'                =>    'Бөтен хәбәрләрен күрсәтү',
'Realname'                    =>    'Чын исеме',
'Location'                    =>    'Урыны',
'Website'                    =>    'Вебсайты',
'Jabber'                    =>    'Jabber-ы',
'ICQ'                        =>    'ICQ-сы',
'MSN'                        =>    'MSN Messenger-ы',
'AOL IM'                    =>    'AOL IM-ы',
'Yahoo'                        =>    'Yahoo! Messenger-ы',
'Avatar'                    =>    'Аватары',
'Signature'                    =>    'Тамгасы',
'Sig max length'            =>    'Рөхсәт иң зур тамга озынлыгы',
'Sig max lines'                =>    'Рөхсәт иң күп тамга йул саны',
'Avatar legend'                =>    'Аватар күрсәтелеше көйләнеше',
'Avatar info'                =>    'Аватар ул - форум хәбәрләрендә сезнең исемегез астында торачак кечкенә рәсем. Сез аватар куюга асттарак торган күчкегә төртеп  бара аласыз. Аватарыгыз хәбәрләрегездә күренә башласын өчен, "Аватар кулланасы" дигәнне сайлатып куегыз.',
'Change avatar'                =>    'Аватарны үзгәртү',
'Use avatar'                =>    'Аватарны кулланасы.',
'Signature legend'            =>    'Асттамгагызны йазыгыз',
'Signature info'            =>    'Асттамга - сезнең хәбәрләрегезгә өстәлеп бара торган зур түгел йазу. Ул сез ошаткан бер язу була ала. Мәсьәлән, яраткан цитатагыз. Администратор рөхсәт итсә, ул тамга BBCode һәм я яки HTML телары кулланып язылган була ала. Нәрсәнең рөхсәт ителгәнен тамганы үзгәртә торган урынның сул ягында күреп була.',
'Sig preview'                =>    'Хәзерге хәлендәге тамганы алдан күреп карау:',
'No sig'                    =>    'Асттамга юк.',
'Topics per page'            =>    'Бит саен ничә сөйләшү чыга',
'Topics per page info'        =>    'Бу көйләнеш форумдагы бүлекне караган вакытта сөйләшүләр күп булып берничә биткә бүленеп чыкканда бит саен ничә сөйләшү чыгарыласын билгели. Бу көйләнешне куллану буенча бер фикергә килмәсәгез, буш калдырсагыз да була, алдан әзер сан кулланылачак.',
'Posts per page'            =>    'Бит саен хәбәр',
'Posts per page info'        =>    'Озын сөйләшү битләргә бүленеп күрсәтелә, бу көйләнеш бит саен чыгарыла торган хәбәр санын билгели. Бу көйләнеш буенча бер фикергә килмәсәгез, буш калдырсагыз да була, алдан әзер сан кулланылачак.',
'Leave blank'                =>    'Алдан әзер көйләнештәгечә калсын өчен бу урынны буш калдырыгыз.',
'Notify full'                =>    'Форумдагы яңа хәбәрләр турында хат килүенә язылган очракта хәбәр текстлары тулысынча җибәрелсен.',
'Notify full info'            =>    'Бу көйләнешне сайлатып куйганда яңа хәбәр турында хәбәр итүче хатка ул хәбәрләр үзләре дә кертеләчәк.',
'Show smilies'                =>    'Чырай тамгаларын рәсемгә әйләндерү алдан ук сайлатылып куела торган булсын.',
'Show smilies info'            =>    'Текст рәвешендәге "чырай" гына калмыйча рәсем булып күрсәтелүе кабызылган булып торсынга моны сайлат. Рәсем күрсәтелүне хәбәр язган вакытта үзгәртеп була.',
'Show images'                =>    'Хәбәрләрдәге рәсемнәр күренсен.',
'Show images info'            =>    'Хәбәрләрдәге рәсемнәр ("чырай"лар белән img тегы белән тоташтырылган рәсемнәрне дә кертеп) не күрергә теләмәсәң, моны алып куй.',
'Show images sigs'            =>    'Асттамгада рәсем күренсен.',
'Show images sigs info'        =>    'Асттамгаларда img тегы белән тоташтырыла торган рәсемнәрне күрәсең килмәсә, моны алып куй.',
'Show avatars'                =>    'Хәбәрләрдә кулланучы аватарлары күренсен.',
'Show avatars info'            =>    'Форумдагы хәбәрләрдә аватарлар сиңа күрсәтелсен өчен бу көйләнемне сайлатып куй.',
'Show sigs'                    =>    'Кулланучы асттамгаларын күрсәтәсе.',
'Show sigs info'            =>    'Кулланучыларның хәбәр асты тамгалары сиңа күрсәтелсен өчен моны сайлат.',
'Style legend'                =>    'Форумның бизәлешен сайла',
'Style info'                =>    'Теләсәң, бу форумны бүтән визуаль стиль белән куллана аласың.',
'Admin note'                =>    'Администратор искәртмәсе',
'Pagination legend'            =>    'Битләр күренешен көйләү',
'Post display legend'        =>    'Хәбәрләр күренешен көйләү',
'Post display info'            =>    'Тоташуыгыз кечкенә тизлекле булса, битләрнең килдерелүен тизәйтү өчен хәбәрләрдә һәм асттамгаларда рәсемнәр күренүен сүндерә аласыз.',
'Instructions'                =>    'Профилегез яңарганнан соң, сез кире бу биткә кайтарылачаксыз.',

// Administration stuff
'Group membership legend'    =>    'Кулланучы төркемен сайлагыз',
'Save'                        =>    'Саклат',
'Set mods legend'            =>    'Модератор хокуклары куй',
'Moderator in'                =>    'Монда модератор:',
'Moderator in info'            =>    'Бу кулланучының кайсы форумнарны карап торасын сайла. Искәрмә: бу модераторларга гына кагыла. Администраторларның барлык форумнарга һәр чак тулы хокукы бар.',
'Update forums'                =>    'Форумнарны яңарт',
'Delete ban legend'            =>    'Кулланучыны бетер (администратор булсаң гына) йә тый',
'Delete user'                =>    'Кулланучыны бетерү',
'Ban user'                    =>    'Кулланучыны тыю',
'Confirm delete legend'        =>    'Мөһим: кулланучыны бетергәнче укы',
'Confirm delete user'        =>    'Кулланучыны бетерүне ышандырып әйт',
'Confirmation info'            =>    'Зинһар, бу кулланучыны чынлап та бетерүегезгә ышандырыгыз:',    // the username will be appended to this string
'Delete warning'            =>    'Игътибар! Кулланучы я хәбәрләрне бетерү кире төзәтелә алмай. Кулланучы җибәргән хәбәрләрне бетермәүне сайласаң, аларны соңыннан бетереп була.',
'Delete posts'                =>    'Кулланучының барча хәбәрләрен һәм башлаган сөйләшүләрен бетерү.',
'Delete'                    =>    'Бетерү',        // submit button (confirm user delete)
'User delete redirect'        =>    'Кулланучы бетерелде. Күчереләсең...',
'Group membership redirect'    =>    'Төркем үзгәртү саклатылды. Күчереләсең...',
'Update forums redirect'    =>    'Форумны модерацияләүче хаклары үзгәртелде. Күчереләсең...',
'Ban redirect'                =>    'Күчереләсең...'

);
